Page MenuHomePhabricator

[Bug] "PHP Notice: Undefined index: value" from SnakDeserializer
Closed, ResolvedPublic

Description

Rarely happening:

2017-10-19 15:59:34 [WejL5gpAID0AAFFXoCcAAACU] mw1191 wikidatawiki 1.31.0-wmf.4 error INFO: [WejL5gpAID0AAFFXoCcAAACU] /w/api.php   ErrorException from line 122 of /srv/mediawiki/php-1.31.0-wmf.4/extensions/Wikidata/vendor/wikibase/data-model-serialization/src/Deserializers/SnakDeserializer.php: PHP Notice: Undefined index: value {"exception_id":"WejL5gpAID0AAFFXoCcAAACU","exception_url":"/w/api.php","caught_by":"mwe_handler"}
[Exception ErrorException] (/srv/mediawiki/php-1.31.0-wmf.4/extensions/Wikidata/vendor/wikibase/data-model-serialization/src/Deserializers/SnakDeserializer.php:122) PHP Notice: Undefined index: value
  #0 /srv/mediawiki/php-1.31.0-wmf.4/extensions/Wikidata/vendor/wikibase/data-model-serialization/src/Deserializers/SnakDeserializer.php(122): MWExceptionHandler::handleError(integer, string, string, integer, array, array)
  #1 /srv/mediawiki/php-1.31.0-wmf.4/extensions/Wikidata/vendor/wikibase/data-model-serialization/src/Deserializers/SnakDeserializer.php(114): Wikibase\DataModel\Deserializers\SnakDeserializer->deserializeDataValue(array)
  #2 /srv/mediawiki/php-1.31.0-wmf.4/extensions/Wikidata/vendor/wikibase/data-model-serialization/src/Deserializers/SnakDeserializer.php(96): Wikibase\DataModel\Deserializers\SnakDeserializer->newValueSnak(array)
  #3 /srv/mediawiki/php-1.31.0-wmf.4/extensions/Wikidata/vendor/wikibase/data-model-serialization/src/Deserializers/SnakDeserializer.php(78): Wikibase\DataModel\Deserializers\SnakDeserializer->getDeserialized(array)
  #4 /srv/mediawiki/php-1.31.0-wmf.4/extensions/Wikidata/vendor/wikibase/data-model-serialization/src/Deserializers/SnakListDeserializer.php(60): Wikibase\DataModel\Deserializers\SnakDeserializer->deserialize(array)
  #5 /srv/mediawiki/php-1.31.0-wmf.4/extensions/Wikidata/vendor/wikibase/data-model-serialization/src/Deserializers/SnakListDeserializer.php(41): Wikibase\DataModel\Deserializers\SnakListDeserializer->getDeserialized(array)
  #6 /srv/mediawiki/php-1.31.0-wmf.4/extensions/Wikidata/extensions/Wikibase/repo/includes/Api/SetReference.php(120): Wikibase\DataModel\Deserializers\SnakListDeserializer->deserialize(array)
  #7 /srv/mediawiki/php-1.31.0-wmf.4/includes/api/ApiMain.php(1584): Wikibase\Repo\Api\SetReference->execute()
  #8 /srv/mediawiki/php-1.31.0-wmf.4/includes/api/ApiMain.php(546): ApiMain->executeAction()
  #9 /srv/mediawiki/php-1.31.0-wmf.4/includes/api/ApiMain.php(517): ApiMain->executeActionWithErrorHandling()
  #10 /srv/mediawiki/php-1.31.0-wmf.4/api.php(94): ApiMain->execute()
  #11 /srv/mediawiki/w/api.php(3): include(string)
  #12 {main}

Patch-For-Review:

Event Timeline

hoo created this task.Oct 20 2017, 6:43 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 20 2017, 6:43 AM
Restricted Application added a subscriber: TerraCodes. · View Herald TranscriptOct 23 2017, 7:52 AM
thiemowmde renamed this task from "PHP Notice: Undefined index: value" from SnakDeserializer to [Bug] "PHP Notice: Undefined index: value" from SnakDeserializer.Oct 23 2017, 7:57 AM
thiemowmde updated the task description. (Show Details)
thiemowmde added a project: Patch-For-Review.
D3r1ck01 moved this task from Backlog to Doing on the good first bug board.Nov 5 2017, 5:20 PM
hoo updated the task description. (Show Details)
hoo removed projects: patch-welcome, good first bug.

Needs WikibaseDataModelSerialization release.

hoo closed this task as Resolved.Mar 29 2018, 12:00 PM

Needs WikibaseDataModelSerialization release.

Done… should be part of the next deploy.

Change 422913 had a related patch set uploaded (by Hoo man; owner: Hoo man):
[mediawiki/vendor@master] Update WikibaseDataModelSerialization to 2.7.0

https://gerrit.wikimedia.org/r/422913

Change 422913 merged by jenkins-bot:
[mediawiki/vendor@master] Update WikibaseDataModelSerialization to 2.7.0

https://gerrit.wikimedia.org/r/422913